Debian Bug report logs - #658160
RFS: libapache2-mod-socket-policy-server/0.0.8-1 [NEW] -- An Apache2 module for serving Adobe socket policies

Package: sponsorship-requests; Maintainer for sponsorship-requests is Debian Mentors <package-sponsorship-requests@lists.debian.org>;

Reported by: Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>

Date: Tue, 31 Jan 2012 17:48:02 UTC

Severity: wishlist

Blocking fix for 642282: ITP: libapache2-mod-socket-policy-server -- serving Adobe socket policies

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 31 Jan 2012 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 31 Jan 2012 17:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>
To: submit@bugs.debian.org
Subject: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Tue, 31 Jan 2012 09:17:34 -0800
Package: sponsorship-requests
Severity: wishlist

I am seeking a sponsor for my package:

 * Package name    : libapache2-mod-socket-policy-server
   Version         : 0.0.7-1
   Copyright       : Rock Solid Innovations, LLC
 * URL             : http://socketpolicyserver.com
 * License         : Apache License Version 2.0

The package is an Apache2 module for serving Adobe socket policy files.

Adobe Flash Player (since version 9.0.124.0) will not open a socket 
connection to a server unless the server first authorizes the connection 
via an Adobe socket policy. This module serves these policies. (Adobe 
uses a non-standard protocol for serving these policies, hence the 
existence of this module.)

The package can be downloaded from:

  http://socketpolicyserver.com

Thanks in advance!

Daniel Kauffman
Lead Developer
Rock Solid Solutions, LLC
877.239.9195 toll-free
208.699.9699 mobile







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Mon, 20 Feb 2012 01:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <paultag@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 20 Feb 2012 01:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 658160@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <paultag@gmail.com>
To: 658160@bugs.debian.org
Subject: RE: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Sun, 19 Feb 2012 20:15:10 -0500
[Message part 1 (text/plain, inline)]
I don't see a dsc on that page or in the description you've provided.

You should consider using mentors.debian.net.

Cheers,
Paul
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from "Paul R. Tagliamonte" <paultag@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 01:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Mon, 20 Feb 2012 02:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Mon, 20 Feb 2012 02:30:05 GMT) Full text and rfc822 format available.

Message #17 received at 658160@bugs.debian.org (full text, mbox):

From: Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>
To: 658160@bugs.debian.org
Subject: Bug#658160: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Sun, 19 Feb 2012 18:19:14 -0800
The relevant files are in the downloads directory:

  http://socketpolicyserver.com/downloads/

The direct link to the Debian source control file is:


http://socketpolicyserver.com/downloads/libapache2-mod-socket-policy-server_0.0.7-1.dsc

Thanks!

Daniel Kauffman
Lead Developer
Rock Solid Solutions, LLC
877.239.9195 toll-free
208.699.9699 mobile




Added indication that bug 658160 blocks 642282 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sun, 26 Feb 2012 21:33:41 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Benoît Knecht <benoit.knecht@fsfe.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 21:45:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFS: libapache2-mod-socket-policy-server/0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.' from 'RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 12 May 2012 15:21:15 GMT) Full text and rfc822 format available.

Message sent on to Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>:
Bug#658160. (Mon, 13 Aug 2012 11:45:06 GMT) Full text and rfc822 format available.

Message #26 received at 658160-submitter@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 658160-submitter@bugs.debian.org
Subject: Re: Bug#658160: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Mon, 13 Aug 2012 13:42:14 +0200
Am 31.01.2012 18:17, schrieb Daniel Kauffman:
> Package: sponsorship-requests
> Severity: wishlist
>
> I am seeking a sponsor for my package:
>
>   * Package name    : libapache2-mod-socket-policy-server
>     Version         : 0.0.7-1
>     Copyright       : Rock Solid Innovations, LLC
>   * URL             : http://socketpolicyserver.com
>   * License         : Apache License Version 2.0
>
> The package is an Apache2 module for serving Adobe socket policy files.
>
> Adobe Flash Player (since version 9.0.124.0) will not open a socket
> connection to a server unless the server first authorizes the connection
> via an Adobe socket policy. This module serves these policies. (Adobe
> uses a non-standard protocol for serving these policies, hence the
> existence of this module.)
>
> The package can be downloaded from:
>
>    http://socketpolicyserver.com

I have checked your package.

* Building:
Building fails, because your dsc is damaged / was built with another 
orig tarball:
dpkg-source: warning: extracting unsigned source package 
(libapache2-mod-socket-policy-server_0.0.7-1.dsc)
dpkg-source: error: File 
./libapache2-mod-socket-policy-server_0.0.7.orig.tar.gz has size 6981 
instead of expected 6974

* debian/control:
- You should upgrade to standards-version 3.9.3
- Please wrap the control fields

* General:
- Is this module compatible with Apache 2.4?
- You should follow the (new) 2.4 packaging guidelines:
http://wiki.debian.org/Apache/PackagingFor24



Information stored :
Bug#658160; Package sponsorship-requests. (Mon, 13 Aug 2012 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>:
Extra info received and filed, but not forwarded. (Mon, 13 Aug 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #31 received at 658160-quiet@bugs.debian.org (full text, mbox):

From: Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>
To: 658160-quiet@bugs.debian.org
Cc: pmatthaei@debian.org
Subject: Re: Bug#658160: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Mon, 13 Aug 2012 15:03:36 -0700
retitle 658160 RFS: libapache2-mod-socket-policy-server 0.0.8-1 [NEW] -- 
An Apache2 module for serving Adobe socket policies.

On 08/13/2012 04:42 AM, Patrick Matthäi wrote:
> I have checked your package.

Thank you!

> * Building:
> Building fails, because your dsc is damaged / was built with another
> orig tarball:
> dpkg-source: warning: extracting unsigned source package
> (libapache2-mod-socket-policy-server_0.0.7-1.dsc)
> dpkg-source: error: File
> ./libapache2-mod-socket-policy-server_0.0.7.orig.tar.gz has size 6981
> instead of expected 6974

Done in libapache2-mod-socket-policy-server_0.0.7-2.

> * debian/control:
> - You should upgrade to standards-version 3.9.3

Done in libapache2-mod-socket-policy-server_0.0.7-2.

> - Please wrap the control fields

All control fields that can be wrapped are wrapped to 80 characters.

> - Is this module compatible with Apache 2.4?

The code has been reviewed for use with apache version 2.4 and should 
work without issues.  However, note that the module is being used in 
production with apache version 2.2 and has not yet been tested under 
load with apache version 2.4.

> - You should follow the (new) 2.4 packaging guidelines:
> http://wiki.debian.org/Apache/PackagingFor24

The packaging guidelines for apache version 2.4 have been implemented as 
much is as possible without breaking build and install on stable.

For example, the packaging guidelines for apache version 2.4 recommend a 
Build-Depends on dh-apache2 but dh-apache2 is provided only by 
apache2-dev which is only in experimental.  Instead of breaking build 
and install on stable, the guidelines were followed as closely as 
possible to mimic the behavior of dh-apache2 instead of depending on it. 
 Once dh-apache2 becomes available in stable, the package can easily be 
updated.  Meanwhile, the package builds and installs on both stable and 
experimental.



Changed Bug title to 'RFS: libapache2-mod-socket-policy-server 0.0.8-1 [NEW] --' from 'RFS: libapache2-mod-socket-policy-server/0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.' Request was from Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org> to control@bugs.debian.org. (Mon, 13 Aug 2012 22:48:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFS: libapache2-mod-socket-policy-server 0.0.8-1 [NEW] -- An Apache2 module for serving Adobe socket policies.' from 'RFS: libapache2-mod-socket-policy-server 0.0.8-1 [NEW] --' Request was from Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org> to control@bugs.debian.org. (Mon, 13 Aug 2012 23:30:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFS: libapache2-mod-socket-policy-server/0.0.8-1 [NEW] -- An Apache2 module for serving Adobe socket policies' from 'RFS: libapache2-mod-socket-policy-server 0.0.8-1 [NEW] -- An Apache2 module for serving Adobe socket policies.' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Tue, 14 Aug 2012 04:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #42 received at 658160@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
Cc: Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>, debian-mentors@lists.debian.org, 658160@bugs.debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Tue, 14 Aug 2012 14:13:52 +0800
Hi,

I'm quite sure I did sponsor this package once.
So I looked in it, in order to sponsor again. But it's not in SID.
What happened to it? Why it's not in SID anymore?

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 06:24:03 GMT) Full text and rfc822 format available.

Message #47 received at 658160@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Thomas Goirand <zigo@debian.org>
Cc: debian-mentors@lists.debian.org, Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>, 658160@bugs.debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Tue, 14 Aug 2012 08:22:11 +0200
Am 14.08.2012 08:13, schrieb Thomas Goirand:
> Hi,
>
> I'm quite sure I did sponsor this package once.
> So I looked in it, in order to sponsor again. But it's not in SID.
> What happened to it? Why it's not in SID anymore?
>
> Thomas
>
>

Rejected?
Why didn't you closed the bug then? :)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 09:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 09:39:10 GMT) Full text and rfc822 format available.

Message #52 received at 658160@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: pmatthaei@debian.org
Cc: debian-mentors@lists.debian.org, Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>, 658160@bugs.debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Tue, 14 Aug 2012 17:35:08 +0800
On Tue Aug 14 2012 02:22:11 PM CST, Patrick Matthäi <pmatthaei@debian.org> wrote:

> Am 14.08.2012 08:13, schrieb Thomas Goirand:
> > Hi,
> > 
> > I'm quite sure I did sponsor this package once.
> > So I looked in it, in order to sponsor again. But it's not in SID.
> > What happened to it? Why it's not in SID anymore?
> > 
> > Thomas
> > 
> > 
> 
> Rejected?
> Why didn't you closed the bug then? :)

This was a long time ago, before we switched to
using bugs for mentoring.

No, I don't have the .upload file anymore (I
reinstalled my sponsoring VM after I did something
wrong).

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 09:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 09:51:02 GMT) Full text and rfc822 format available.

Message #57 received at 658160@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Thomas Goirand <thomas@goirand.fr>
Cc: debian-mentors@lists.debian.org, Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>, 658160@bugs.debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Tue, 14 Aug 2012 11:47:08 +0200
Am 14.08.2012 11:35, schrieb Thomas Goirand:
> On Tue Aug 14 2012 02:22:11 PM CST, Patrick Matthäi <pmatthaei@debian.org> wrote:
>
>> Am 14.08.2012 08:13, schrieb Thomas Goirand:
>>> Hi,
>>>
>>> I'm quite sure I did sponsor this package once.
>>> So I looked in it, in order to sponsor again. But it's not in SID.
>>> What happened to it? Why it's not in SID anymore?
>>>
>>> Thomas
>>>
>>>
>>
>> Rejected?
>> Why didn't you closed the bug then? :)
>
> This was a long time ago, before we switched to
> using bugs for mentoring.
>
> No, I don't have the .upload file anymore (I
> reinstalled my sponsoring VM after I did something
> wrong).

Ok, could you please go ahead, since you already worked on it? Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 17:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 17:54:02 GMT) Full text and rfc822 format available.

Message #62 received at 658160@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: pmatthaei@debian.org
Cc: debian-mentors@lists.debian.org, Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>, 658160@bugs.debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Wed, 15 Aug 2012 01:51:34 +0800
On 08/14/2012 05:47 PM, Patrick Matthäi wrote:
> Ok, could you please go ahead, since you already worked on it? Thanks!
Go ahead with what? Uploading? Not before I know what happened
to the package I thought I sponsored in SID.

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #67 received at 658160@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Thomas Goirand <zigo@debian.org>
Cc: debian-mentors@lists.debian.org, Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>, 658160@bugs.debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.7-1 [NEW] -- An Apache2 module for serving Adobe socket policies.
Date: Tue, 14 Aug 2012 19:53:01 +0200
[Message part 1 (text/plain, inline)]
Am 14.08.2012 19:51, schrieb Thomas Goirand:
> On 08/14/2012 05:47 PM, Patrick Matthäi wrote:
>> Ok, could you please go ahead, since you already worked on it? Thanks!
> Go ahead with what? Uploading? Not before I know what happened
> to the package I thought I sponsored in SID.
> 
> Thomas
> 

Reviewing etc, it wouldn't be good if another developer now does this
job if you already checked it :)

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

  Blog: http://www.linux-dev.org/
E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658160; Package sponsorship-requests. (Tue, 14 Aug 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Tue, 14 Aug 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #72 received at 658160@bugs.debian.org (full text, mbox):

From: Daniel Kauffman <daniel.kauffman@rocksolidsolutions.org>
To: 658160@bugs.debian.org
Cc: pmatthaei@debian.org
Subject: Re: RFS: libapache2-mod-socket-policy-server 0.0.8-1 [NEW] -- An Apache2 module for serving Adobe socket policies
Date: Tue, 14 Aug 2012 12:35:00 -0700
Thomas Goirand reviewed the package circa September 2011, but both he 
and I wanted another set of eyes to look at the Apache configuration 
bits before uploading, so it was never uploaded.

--
Daniel Kauffman
Lead Developer
Rock Solid Solutions, LLC
877.239.9195 toll-free
208.699.9699 mobile





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:27:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.